Page MenuHomePhabricator

[AARCH64 folding] Do not fold any copy with NZCV
ClosedPublic

Authored by skatkov on Jun 8 2022, 5:31 AM.

Details

Summary

There is no instruction to fold NZCV, so, just do not do it.

Without the fix the added test case crashes with an assert
"Mismatched register size in non subreg COPY"

Diff Detail

Event Timeline

skatkov created this revision.Jun 8 2022, 5:31 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 8 2022, 5:31 AM
skatkov requested review of this revision.Jun 8 2022, 5:31 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 8 2022, 5:31 AM
danilaml accepted this revision.Jun 16 2022, 12:05 AM

LGTM

llvm/lib/Target/AArch64/AArch64InstrInfo.cpp
4440
This revision is now accepted and ready to land.Jun 16 2022, 12:05 AM
This revision was landed with ongoing or failed builds.Jun 20 2022, 8:39 PM
This revision was automatically updated to reflect the committed changes.